Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_uri_from_uri_local_name

## Name

librdf_new_uri_from_uri_local_name -- Copy constructor - create a new librdf_uri object from an existing librdf_uri object and a local name

## Synopsis

``librdf_uri* `librdf_new_uri_from_uri_local_name`` (librdf_uri* `old_uri`, const char * `local_name`);`

## Arguments

`old_uri`

  librdf_uri object

`local_name`

  local name to append to URI

## Return value

a new librdf_uri object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_uri_from_uri | Up | librdf_new_uri_normalised_to_base